Package com.apple.foundationdb

## Class JNIUtil

- java.lang.Object
- - com.apple.foundationdb.JNIUtil

    public class JNIUtil
    extends java.lang.Object

Utility for loading a dynamic library from the classpath.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.io.File` `exportLibrary​(java.lang.String libName)` Export a library from classpath resources to a temporary file.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### exportLibrary

    public static java.io.File exportLibrary​(java.lang.String libName)
                                      throws java.io.IOException

Export a library from classpath resources to a temporary file.

Parameters:
  `libName` - the name of the library to attempt to export. This name should be undecorated with file extensions and, in the case of *nix, "lib" prefixes.
Returns:
  the exported temporary file
Throws:
  `java.io.IOException`